Package org.apache.groovy.util

# Class Closures.PredicateClosure<T>

java.lang.Object
groovy.lang.GroovyObjectSupport
groovy.lang.Closure<Boolean>
org.apache.groovy.util.Closures.PredicateClosure<T>

All Implemented Interfaces:
  `GroovyCallable<Boolean>`, `GroovyObject`, `Serializable`, `Cloneable`, `Runnable`, `Callable<Boolean>`, `Predicate<T>`

Enclosing class:
  Closures

public static class Closures.PredicateClosure<T> extends Closure<Boolean> implements Predicate<T>
Hybrid one-argument function that is both a `Closure` and a `Predicate`.

Since:
  6.0.0
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class groovy.lang.Closure

  `DELEGATE_FIRST, DELEGATE_ONLY, DONE, IDENTITY, maximumNumberOfParameters, OWNER_FIRST, OWNER_ONLY, parameterTypes, SKIP, TO_SELF`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `call(Object arg)`
  Invokes the closure with given argument(s), returning any value if applicable.
  `Boolean`
  `call(Object... args)`
  Invokes the closure with given argument(s), returning any value if applicable.
  `boolean`
  `test(T t)`

  ### Methods inherited from class groovy.lang.Closure

  `andThen, andThenSelf, andThenSelf, asWritable, call, checkForReferenceCycle, clone, compose, composeSelf, composeSelf, curry, curry, dehydrate, getDelegate, getDirective, getMaximumNumberOfParameters, getOwner, getParameterTypes, getProperty, getResolveStrategy, getThisObject, isCase, leftShift, leftShift, memoize, memoizeAtLeast, memoizeAtMost, memoizeBetween, mopUnperturbed, ncurry, ncurry, rcurry, rcurry, rehydrate, rightShift, run, setDelegate, setDirective, setMetaClass, setProperty, setResolveStrategy, throwRuntimeException, trampoline, trampoline`

  ### Methods inherited from class groovy.lang.GroovyObjectSupport

  `getMetaClass`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.GroovyObject

  `invokeMethod`

  ### Methods inherited from interface java.util.function.Predicate

  `and, negate, or`

- ## Method Details

  - ### test

    public boolean test(T t)
    Specified by:
      `test` in interface `Predicate<T>`

  - ### call

    public Boolean call(Object arg)
    Description copied from class: `Closure`
    Invokes the closure with given argument(s), returning any value if applicable.
    Overrides:
      `call` in class `Closure<Boolean>`
    Parameters:
      `arg` - could be a single value or a List of values
    Returns:
      The value if applicable or null if there is no return statement in the closure.

  - ### call

    public Boolean call(Object... args)
    Description copied from class: `Closure`
    Invokes the closure with given argument(s), returning any value if applicable.
    Overrides:
      `call` in class `Closure<Boolean>`
    Returns:
      The value if applicable or null if there is no return statement in the closure.